package oauthprovider_admin

import (
	"net/http"

	"git.noahlan.cn/noahlan/ntool-biz/zero/statusz"
	"github.com/zeromicro/go-zero/rest/httpx"

	"git.noahlan.cn/n-admin/n-admin-server/api/internal/logic/oauthprovider_admin"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/svc"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/types"
)

// swagger:route post /api/admin/oauth_provider/delete oauthprovider_admin DeleteOauthProviderAdmin
//
// Delete oauth provider information | 删除第三方信息
//
// Delete oauth provider information | 删除第三方信息
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: BaseIDs
//

func DeleteOauthProviderAdminHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		const transErr = true
		var req types.BaseIDs
		if err := httpx.Parse(r, &req); err != nil {
			statusz.ResponseHandler(r, w, transErr, nil, err)
			return
		}

		l := oauthprovider_admin.NewDeleteOauthProviderAdminLogic(r, r.Context(), svcCtx)
		err := l.DeleteOauthProviderAdmin(&req)

		statusz.ResponseHandler(r, w, transErr, nil, err)

	}
}
